deds.genExtra {DEDS} | R Documentation

## Generating Extra Parameters for Test Statistics Functions for Differential Expression

### Description

`deds.genExtra` is used to pass in extra arguments for `comp.stat` and `deds.stat.linkC`, which computes various test statistics for differential expression in microarray data.

### Usage

    deds.genExtra(classlabel, tests)

### Arguments

`classlabel` | A vector of integers corresponding to observation (column) class labels. For k classes, the labels must be integers between 0 and k-1.

`tests`

A vector of character string specifying the statistics to be used to test differential expression. The character string could be any of the followings:

`test="t"`: | one- or two-sample t-statistics;
`test="f"`: | F-statistics;
`test="fc"`: | fold changes among classes;
`test="sam"`: | SAM-statistics;
`test="modt"`: | moderated t-statistics;
`test="modf"`: | moderated F-statistics;
`test="B"`: | B-statistics.

### Details

Given the names of the test statistics, `deds.genExtra` generates extra parameters needed to be passed in the functions `comp.stat` and `deds.stat.linkC` for the assessment of differential expression. Both functions are interfaces to C functions. `deds.genExtra` generates default parameters as follows:
If `test="t" or "f", "fc", "modt", "modf"`, the extra parameter needed is the number of classes;
If `test="sam"`, the extra parameter needed is the percentile of within-gene standard deviations that the fudge factor s_0 will be set at and the default is 0.5;
If `test="B"`, the extra parameter needed is the percentage of alternative hypotheses (differential expression) and the default is set at 0.01.

### Value

A numeric vector, the length of which is determined by the length of the names of the test statistics for the argument `test`.

### Author(s)

Yuanyuan Xiao, yxiao@itsa.ucsf.edu,
Jean Yee Hwa Yang, jean@biostat.ucsf.edu.

### See Also

`comp.stat`, `deds.stat.linkC`

### Examples

    ## two sample test
    L <- rep(0:1, c(5,5))
    extras <- deds.genExtra(L, c("t","sam", "B"))
    ## extras will be c(2, 0.5, 0.01)

[Package DEDS version 1.6.0 Index]